package com.pixelized.desktop.lwa.repository.settings.model

data class Settings(
    val playerName: String,
    val portrait: Portrait,
    val chat: Chat,
    val network: Network,
    val isAdmin: Boolean? = null,
    val isGameMaster: Boolean? = null,
) {
    data class Portrait(
        val dynamicDice: Boolean,
        val dynamicDiceDelay: Int,
    )

    data class Chat(
        val showChat: Boolean,
        val autoScrollChat: Boolean,
        val maxLineCount: Int,
    )

    data class Network(
        val host: String,
        val port: Int,
    ) {
        val root: String get() = "http://${"${host}:${port}".removePrefix("http://")}"
    }
}